package com.webonlineapp.content;

import com.hyjavastock.chart.Highstock;

public class HighchartStockContent {

	/**
	 * 
	 * @param chart
	 * @return
	 */
	public String build(Highstock chart) {
		return "<div id=\"container\" style=\"min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto\"></div>" + System.lineSeparator() +
				
				"<script src=https://code.highcharts.com/stock/11.4.0/highstock.js></script>" + System.lineSeparator() +
				"<script src=https://code.highcharts.com/stock/11.4.0/modules/data.js></script>" + System.lineSeparator() +
				
				"<script>" + System.lineSeparator() + 
				(chart.globalOptionsToJs() == null ? "" : "Highcharts.setOptions(" + chart.globalOptionsToJs() + ");" + System.lineSeparator()) + 
				
				"Highcharts.stockChart('container', " + chart.chartOptionsToJs() + " );" + System.lineSeparator() +
				"</script>";
	}

}
