package com.webonlineapp.content;

public class PageContent {
	
	/**
	 * 
	 * @param requestedChart
	 * @param chartContent
	 * @return
	 */
	public String build(String requestedChart, String chartContent) {
		return "<!DOCTYPE html>" + System.lineSeparator() + 				// html5
			   "<html>" + System.lineSeparator() + 							// start html
			   
			   "<head>" + System.lineSeparator() +							// start head
			   "<title>chart</title>"+ System.lineSeparator() + 			// title
			   "</head>" + System.lineSeparator() + 						// end head
			   
			   "<body>" + System.lineSeparator() + 							// start body
			   getChartSelector(requestedChart) + System.lineSeparator() +	// chart selector
			   chartContent + System.lineSeparator() +						// the generated chart
			   "</body>" + System.lineSeparator() + 						// end body
			   
			   "</html>";													// end html
	}
	
	/**
	 * 
	 * @param requestedChart
	 * @return
	 */
	private String getChartSelector(String requestedChart) {
		return  
			"<h4>Demo Application showing HyJavaCharts, HyJavaStock and HyJavaApex Library Integration</h4>" + System.lineSeparator() + 
			
			"<form name=\"choosechart\" action=\"displaychart\" method=\"post\">" + System.lineSeparator() + 
			"	<label>Select Chart: </label>" + System.lineSeparator() + 
			
			"	<select id=\"selecter\" name=\"chartName\" size=\"1\">" + System.lineSeparator() + 
			"		<option value=\"line\">Highcharts Line Chart</option>" + System.lineSeparator() + 
			"		<option value=\"pie\">Highcharts Pie Chart</option>" + System.lineSeparator() + 
			"		<option value=\"stock\">Highstock Column Chart</option>" + System.lineSeparator() + 
			"		<option value=\"apex\">ApexCharts Column Chart</option>" + System.lineSeparator() + 
			"	</select>" + System.lineSeparator() + 
			
			"	<input type=\"submit\" value=\"Display Chart\">" + System.lineSeparator() + 
			"<form>" + System.lineSeparator() + 
			
			"<script>" + System.lineSeparator() + 
			"selecter.value = \"" + requestedChart + "\";" + System.lineSeparator() + 
			"</script>";
	}

}
