package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicRadar extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.RADAR);
		chartOptions.getTitle().setText("Basic Radar Chart");

		chartOptions.getXaxis()
			.setCategoriesAsArrayString(Arrays.asList("January", "February", "March", "April", "May", "June"));
		
		Series series = new Series();
		series.setName("Series 1");
		series.setDataAsArrayNumber(Arrays.asList(80, 50, 30, 40, 100, 20));
		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}