package com.webonlineapp.hyjavachartsdemo11.chartdata;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.model.highcharts.series.seriespackedbubble.Data;

public class PackedBubbleChartData {
	
	/**
	 * 
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		if (series == 1) {
	   		return new ArrayList<Data>(Arrays.asList(
	   				new Data().setName("Germany").setValue(767.1),
	   				new Data().setName("Croatia").setValue(20.7),
	   				new Data().setName("Belgium").setValue(97.2),
	   				new Data().setName("CzechRepublic").setValue(111.7),
	   				new Data().setName("Netherlands").setValue(158.1),
	   				new Data().setName("Spain").setValue(241.6),
	   				new Data().setName("Ukraine").setValue(249.1),
	   				new Data().setName("Poland").setValue(298.1),
	   				new Data().setName("France").setValue(323.7),
	   				new Data().setName("Romania").setValue(78.3),
	   				new Data().setName("UnitedKingdom").setValue(415.4),
	   				new Data().setName("Turkey").setValue(353.2),
	   				new Data().setName("Italy").setValue(337.6),
	   				new Data().setName("Greece").setValue(71.1),
	   				new Data().setName("Austria").setValue(69.8),
	   				new Data().setName("Belarus").setValue(67.7),
	   				new Data().setName("Serbia").setValue(59.3),
	   				new Data().setName("Finland").setValue(54.8),
	   				new Data().setName("Bulgaria").setValue(51.2),
	   				new Data().setName("Portugal").setValue(48.3),
	   				new Data().setName("Norway").setValue(44.4),
	   				new Data().setName("Sweden").setValue(44.3),
	   				new Data().setName("Hungary").setValue(43.7),
	   				new Data().setName("Switzerland").setValue(40.2),
	   				new Data().setName("Denmark").setValue(40),
	   				new Data().setName("Slovakia").setValue(34.7),
	   				new Data().setName("Ireland").setValue(34.6),
	   				new Data().setName("Croatia").setValue(20.7),
	   				new Data().setName("Estonia").setValue(19.4),
	   				new Data().setName("Slovenia").setValue(16.7),
	   				new Data().setName("Lithuania").setValue(12.3),
	   				new Data().setName("Luxembourg").setValue(10.4),
	   				new Data().setName("Macedonia").setValue(9.5),
	   				new Data().setName("Moldova").setValue(7.8),
	   				new Data().setName("Latvia").setValue(7.5),
	   				new Data().setName("Cyprus").setValue(7.2)
	   				));
		}
		else if (series == 2) {
			return new ArrayList<Data>(Arrays.asList(
					new Data().setName("Senegal").setValue(8.2),
					new Data().setName("Cameroon").setValue(9.2),
					new Data().setName("Zimbabwe").setValue(13.1),
					new Data().setName("Ghana").setValue(14.1),
					new Data().setName("Kenya").setValue(14.1),
					new Data().setName("Sudan").setValue(17.3),
					new Data().setName("Tunisia").setValue(24.3),
					new Data().setName("Angola").setValue(25),
					new Data().setName("Libya").setValue(50.6),
					new Data().setName("IvoryCoast").setValue(7.3),
					new Data().setName("Morocco").setValue(60.7),
					new Data().setName("Ethiopia").setValue(8.9),
					new Data().setName("UnitedRepublicofTanzania").setValue(9.1),
					new Data().setName("Nigeria").setValue(93.9),
					new Data().setName("SouthAfrica").setValue(392.7),
					new Data().setName("Egypt").setValue(225.1),
					new Data().setName("Algeria").setValue(141.5)
					));
		}
		else if (series == 3) {
			return new ArrayList<Data>(Arrays.asList(
					new Data().setName("Australia").setValue(409.4),
					new Data().setName("NewZealand").setValue(34.1),
					new Data().setName("PapuaNewGuinea").setValue(7.1)
					));
		}
		else if (series == 4) {
			return new ArrayList<Data>(Arrays.asList(
					new Data().setName("CostaRica").setValue(7.6),
					new Data().setName("Honduras").setValue(8.4),
					new Data().setName("Jamaica").setValue(8.3),
					new Data().setName("Panama").setValue(10.2),
					new Data().setName("Guatemala").setValue(12),
					new Data().setName("DominicanRepublic").setValue(23.4),
					new Data().setName("Cuba").setValue(30.2),
					new Data().setName("USA").setValue(5334.5),
					new Data().setName("Canada").setValue(566),
					new Data().setName("Mexico").setValue(456.3)
					));
		}
		else if (series == 5) {
			return new ArrayList<Data>(Arrays.asList(
					new Data().setName("ElSalvador").setValue(7.2),
					new Data().setName("Uruguay").setValue(8.1),
					new Data().setName("Bolivia").setValue(17.8),
					new Data().setName("TrinidadandTobago").setValue(34),
					new Data().setName("Ecuador").setValue(43),
					new Data().setName("Chile").setValue(78.6),
					new Data().setName("Peru").setValue(52),
					new Data().setName("Colombia").setValue(74.1),
					new Data().setName("Brazil").setValue(501.1),
					new Data().setName("Argentina").setValue(199),
					new Data().setName("Venezuela").setValue(195.2)
					));
		}
		else {
			return new ArrayList<Data>(Arrays.asList(
					new Data().setName("Nepal").setValue(6.5),
					new Data().setName("Georgia").setValue(6.5),
					new Data().setName("BruneiDarussalam").setValue(7.4),
					new Data().setName("Kyrgyzstan").setValue(7.4),
					new Data().setName("Afghanistan").setValue(7.9),
					new Data().setName("Myanmar").setValue(9.1),
					new Data().setName("Mongolia").setValue(14.7),
					new Data().setName("SriLanka").setValue(16.6),
					new Data().setName("Bahrain").setValue(20.5),
					new Data().setName("Yemen").setValue(22.6),
					new Data().setName("Jordan").setValue(22.3),
					new Data().setName("Lebanon").setValue(21.1),
					new Data().setName("Azerbaijan").setValue(31.7),
					new Data().setName("Singapore").setValue(47.8),
					new Data().setName("HongKong").setValue(49.9),
					new Data().setName("Syria").setValue(52.7),
					new Data().setName("DPRKorea").setValue(59.9),
					new Data().setName("Israel").setValue(64.8),
					new Data().setName("Turkmenistan").setValue(70.6),
					new Data().setName("Oman").setValue(74.3),
					new Data().setName("Qatar").setValue(88.8),
					new Data().setName("Philippines").setValue(96.9),
					new Data().setName("Kuwait").setValue(98.6),
					new Data().setName("Uzbekistan").setValue(122.6),
					new Data().setName("Iraq").setValue(139.9),
					new Data().setName("Pakistan").setValue(158.1),
					new Data().setName("Vietnam").setValue(190.2),
					new Data().setName("UnitedArabEmirates").setValue(201.1),
					new Data().setName("Malaysia").setValue(227.5),
					new Data().setName("Kazakhstan").setValue(236.2),
					new Data().setName("Thailand").setValue(272),
					new Data().setName("Taiwan").setValue(276.7),
					new Data().setName("Indonesia").setValue(453),
					new Data().setName("SaudiArabia").setValue(494.8),
					new Data().setName("Japan").setValue(1278.9),
					new Data().setName("China").setValue(10540.8),
					new Data().setName("India").setValue(2341.9),
					new Data().setName("Russia").setValue(1766.4),
					new Data().setName("Iran").setValue(618.2),
					new Data().setName("Korea").setValue(610.1)
					));
		}
    }

}
