<%@ page contentType="text/html; charset=UTF-8" %>
<html>

	<script src=https://code.highcharts.com/stock/11.4.0/highstock.js></script>
	<script src=https://code.highcharts.com/stock/11.4.0/modules/exporting.js></script>
	
	<head>
		<title>Display Chart</title>
		<h4>Demo Application showing HyJavaCharts, HyJavaStock and HyJavaApex Library Integration</h4>
	</head>
	
	<body>
		<div>
			<form name="choosechart" action="displaychart" method="post">
		    	<label>Select Chart: </label>
		    	<select id="selecter" name="chartName" size="1">
		    		<option value="Highcharts Line Chart">Highcharts Line Chart</option>
					<option value="Highcharts Pie Chart">Highcharts Pie Chart</option>
					<option value="Highstock Column Chart">Highstock Column Chart</option>
					<option value="ApexCharts Column Chart">ApexCharts Column Chart</option>
				</select>

		    	<input type="submit" value="Display Chart">
			<form>
		</div>
		
		<script>
			selecter.value = "${requestScope.chartName}";
		</script>
	
		<div id="container" style="min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto"></div>
		
		<script>
			${requestScope.globalOptions == "" ? "" : "Highcharts.setOptions("+=requestScope.globalOptions+=");"}
			Highcharts.stockChart('container', ${requestScope.chartOptions});
		</script>
	</body>
</html>
