package com.webonlineapp.hyjavastockdemo11;

import com.vaadin.flow.component.applayout.AppLayout;
import com.vaadin.flow.component.applayout.DrawerToggle;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;

@Route("")
public class HyJavaStockView extends AppLayout {
	private static final long serialVersionUID = 1L;
	
	boolean hyJavaImages = false;

	
	/**
	 * 
	 */
	public HyJavaStockView() {
		DemoPage demoPage = new DemoPage();

		addToNavbar(new DrawerToggle(), demoPage.buildHeading(this, hyJavaImages));
		
		VerticalLayout content = new VerticalLayout();
		content.setWidthFull();
        demoPage.buildTab(content, hyJavaImages);
        setContent(content);
        
        addToDrawer(demoPage.buildMenu(this, hyJavaImages));
    }
	
}
